Bug 175150 - update multimedia/cx88 to 1.4.6
Summary: update multimedia/cx88 to 1.4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-09 01:00 UTC by jason.harmening
Modified: 2013-01-10 00:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.73 KB, patch)
2013-01-09 01:00 UTC, jason.harmening
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jason.harmening 2013-01-09 01:00:00 UTC
--Use DRIVER_MODULE_ORDERED() everywhere and set 8.2-STABLE as minimum OS version, fixes kmod load failure on latest 8.3
--Add DVB_ENUM_DELSYS and fix DVB API version at 5.5 to fix capture w/ latest VDR

Fix: Patch attached with submission follows:
Comment 1 Guido Falsi freebsd_committer 2013-01-09 20:27:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2013-01-10 00:16:09 UTC
Hi,

Just a nitpick.

You require DRIVER_MODULE_ORDERED, which seems to have been added in 
this commit:

http://svnweb.freebsd.org/base/stable/9/sys/sys/bus.h?r1=225078&r2=225079

dated August 22, 2011.

OSVERSION 802511(you used 802513) from September 10, 2011 seems more 
appropriate, being nearer to this date.

Can I change it before committing the patch?

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2013-01-10 00:22:16 UTC
Sorry, my mistake.

I was looking at the wrong branch. Will commit shortly.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 dfilter service freebsd_committer 2013-01-10 00:27:10 UTC
Author: madpilot
Date: Thu Jan 10 00:27:02 2013
New Revision: 310166
URL: http://svnweb.freebsd.org/changeset/ports/310166

Log:
  - Update to 1.4.6
  - Change wording for some OPTIONS descriptions
  - Mark IGNORE on <8.3
  
  Changes:
  
  - Use DRIVER_MODULE_ORDERED() everywhere and set 8.2-STABLE as
    minimum OS version, fixes kmod load failure on latest 8.3
  - Add DVB_ENUM_DELSYS and fix DVB API version at 5.5 to fix capture
    with latest VDR
  
  PR:		ports/175150
  Submitted by:	Jason Harmening <jason.harmening@gmail.com> (maintainer)

Modified:
  head/multimedia/cx88/Makefile
  head/multimedia/cx88/distinfo

Modified: head/multimedia/cx88/Makefile
==============================================================================
--- head/multimedia/cx88/Makefile	Wed Jan  9 23:28:19 2013	(r310165)
+++ head/multimedia/cx88/Makefile	Thu Jan 10 00:27:02 2013	(r310166)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	cx88
-PORTVERSION=	1.4.5
+PORTVERSION=	1.4.6
 CATEGORIES=	multimedia kld
 MASTER_SITES=	ftp://corona.homeunix.net/ports/cx88/
 
@@ -22,8 +22,8 @@ MAKE_JOBS_UNSAFE=	yes
 
 OPTIONS_DEFINE=	DEBUG LINUX_COMPAT HAL
 
-DEBUG_DESC=	Build with debugging and verbose output enabled
-LINUX_COMPAT_DESC=	Support for Linux DVB and radio devices (requires FreeBSD 8.1+)
+DEBUG_DESC= Enable debugging and verbose driver output
+LINUX_COMPAT_DESC= Support for Linux DVB and radio API
 HAL_DESC=	Register Linux DVB devices with HAL
 
 OPTIONS_DEFAULT=	LINUX_COMPAT
@@ -34,7 +34,6 @@ OPTIONS_DEFAULT=	LINUX_COMPAT
 MAKE_ARGS+=	DIAGNOSTIC=0x7f
 .endif
 
-.if (${OSVERSION} >= 801000)
 .if ${PORT_OPTIONS:MLINUX_COMPAT}
 LIB_DEPENDS+=	cuse4bsd.1:${PORTSDIR}/multimedia/cuse4bsd-kmod
 BUILD_DEPENDS+= v4l_compat>=1.0.20100321:${PORTSDIR}/multimedia/v4l_compat
@@ -45,12 +44,11 @@ LIB_DEPENDS+=	hal.1:${PORTSDIR}/sysutils
 MAKE_ARGS+=	-D WITH_HAL
 .endif
 .endif
-.endif
 
 MAKE_ARGS+=	DEFAULT_XML_CONFIG="${EXAMPLESDIR}/cx88.xml.sample"
 
-.if (${OSVERSION} < 704000) || ((${OSVERSION} >= 800000) && (${OSVERSION} < 801000))
-IGNORE=	requires kernel support for kmem_alloc_attr() (FreeBSD 7.4+, FreeBSD 8.1+)
+.if (${OSVERSION} < 802513) || ((${OSVERSION} >= 900000) && (${OSVERSION} < 900041))
+IGNORE= requires kernel support for DRIVER_MODULE_ORDERED macro (FreeBSD 8.3+, FreeBSD 9.0+)
 .endif
 
 .if !exists(${SRC_BASE}/sys/Makefile)

Modified: head/multimedia/cx88/distinfo
==============================================================================
--- head/multimedia/cx88/distinfo	Wed Jan  9 23:28:19 2013	(r310165)
+++ head/multimedia/cx88/distinfo	Thu Jan 10 00:27:02 2013	(r310166)
@@ -1,2 +1,2 @@
-SHA256 (cx88-1.4.5.tar.gz) = fc1383a0badfbb9b7161ff0bc634e50a96792c55066a7ca6495a53dabbb01fd6
-SIZE (cx88-1.4.5.tar.gz) = 190201
+SHA256 (cx88-1.4.6.tar.gz) = 744df7fb4ad404983bb11bad7d9694193f3581912ec2229de293bfc19bbea74a
+SIZE (cx88-1.4.6.tar.gz) = 189203
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Guido Falsi freebsd_committer 2013-01-10 00:27:11 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!